Results 1 to 10 of 10

Thread: need help

  1. #1
    Join Date
    Apr 2008
    Beans
    23

    Question need help

    I cant get into my Synaptic Package Manager.It says E: dpkg was interrupted,must maually run 'dpkg --configure -a to correct the problem.
    I opened my terminal and manually tried to run it but it came up with the
    same error.not sure what to do know.any help would be greatly appreciated.
    thanks.

  2. #2
    Join Date
    Nov 2007
    Location
    NC, USA
    Beans
    829
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: need help

    All you need to enter is:
    Code:
    sudo dpkg --configure -a

    Then do what you were trying to do.
    Linux User #460341 || Ubuntu User #19510 || Unanswered Posts Team

  3. #3
    Join Date
    Aug 2007
    Location
    Manchester, UK
    Beans
    10,285
    Distro
    Ubuntu

    Re: need help

    You need to enter the above into a terminal (Applications>Accessories>Terminal) just to clear that up

    Also, note that sudo will ask for your password, which is totally normal, however when you type it in, it will not show any input - don't worry, it is being input Just type your password as normal, and hit enter.

  4. #4
    wpshooter is offline Ubuntu addict and loving it
    Join Date
    Sep 2005
    Location
    Virginia, USA
    Beans
    3,581
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: need help

    I have seen this question posed in the threads posted on these forums NUMEROUS times.

    My question is why does this problem occur in the first place and secondly if this error is something that is likely to continue to occur in the future, why doesn't someone write a function that could be listed on one of the System/Administration menus (or perhaps some other menu) to fix this problem WHEN it occurs, so this question will not have to be asked over and over and over again. And NO, I am not a programmer, so I can not fix it !!!

    Thanks.
    Last edited by wpshooter; April 22nd, 2008 at 09:39 PM.

  5. #5
    Join Date
    Aug 2007
    Location
    Manchester, UK
    Beans
    10,285
    Distro
    Ubuntu

    Re: need help

    Actually, I've only ever had this happen once with me. And if you'd like to know the cause?

    The internet cut out in the middle of the upgrade process, so I terminated it mid-way through installing whatever the package was.

    Basically - 90% of the time it's down to human error

  6. #6
    wpshooter is offline Ubuntu addict and loving it
    Join Date
    Sep 2005
    Location
    Virginia, USA
    Beans
    3,581
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: need help

    Quote Originally Posted by Joeb454 View Post
    Actually, I've only ever had this happen once with me. And if you'd like to know the cause?

    The internet cut out in the middle of the upgrade process, so I terminated it mid-way through installing whatever the package was.

    Basically - 90% of the time it's down to human error
    I have had this happen to me several times and it was probably due to lose of Internet BUT it was not due to the fact that I terminated it !!!

    Thanks.

  7. #7
    Join Date
    Feb 2008
    Beans
    367

    Re: need help

    This happened to me after I upgraded to Hardy and then tried to download from my university's Gutsy repositories.

  8. #8
    Join Date
    Dec 2006
    Beans
    485
    Distro
    Hardy Heron (Ubuntu Development)

    Re: need help

    This happens anytime your in the middle of installing some packages, and the database doesn't finish due to loss of internet, or opps a terminal closed or anything like that.
    Macbook Pro C2D
    Ubuntu 8.04

  9. #9
    wpshooter is offline Ubuntu addict and loving it
    Join Date
    Sep 2005
    Location
    Virginia, USA
    Beans
    3,581
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: need help

    Quote Originally Posted by russo.mic View Post
    This happens anytime your in the middle of installing some packages, and the database doesn't finish due to loss of internet, or opps a terminal closed or anything like that.
    If I remember correctly, if this happens when you are installing that other O/S, it is smart enough to recover from this !!!

  10. #10
    Join Date
    Aug 2007
    Location
    Manchester, UK
    Beans
    10,285
    Distro
    Ubuntu

    Re: need help

    You've clearly never had a corrupted Windows install

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •